Subject: Re: [bug#44800] [PATCH v2 1/3] Add Avahi support.

From: zimoun <[email-masked]>
Date: Sat, 28 Nov 2020 19:59:10 +0100

Hi,

On Sat, 28 Nov 2020 at 12:02, Ludovic Courtès <[email-masked]> wrote:

> Users of the Avahi client library are supposed to pass “callbacks”,
> which leads to “inversion of control”: the library decides when you code
> is called.  See <https://en.wikipedia.org/wiki/Inversion_of_control>.
>
> Inverting it would mean providing a natural way for users to call the
> library.

Thanks!  I did not know the concept name and that it was so formalized.

Really helpful.

Cheers,
simon